function [y,J] = fn_DTIPTI_V5(X,input) 


Y0 = X(1);
F = X(2);
%F = 1/(1+exp(-X(2,end)));
Y1 = X(3);Y2 = X(4);Y3 = X(5);Y4 = X(6);Y5 = X(7);Y6 = X(8);
Z1 = X(9);Z2 = X(10);Z3 = X(11);Z4 = X(12);Z5 = X(13);Z6 = X(14);

for  ll = 1:input.nbvals
    
    bmat = input.bvecs(:,ll)*input.bvecs(:,ll)';
    sumbP = input.bvals(ll).*sum([bmat(1,1)*(Y1^2) bmat(2,2)*(Y2^2+Y4^2) bmat(3,3)*(Y3^2+Y5^2+Y6^2) 2*bmat(1,2)*(Y1*Y4) 2*bmat(2,3)*(Y2*Y5+Y4*Y6) 2*bmat(1,3)*(Y1*Y6)],2);
    sumbD = input.bvals(ll).*sum([bmat(1,1)*(Z1^2) bmat(2,2)*(Z2^2+Z4^2) bmat(3,3)*(Z3^2+Z5^2+Z6^2) 2*bmat(1,2)*(Z1*Z4) 2*bmat(2,3)*(Z2*Z5+Z4*Z6) 2*bmat(1,3)*(Z1*Z6)],2);
    
    JY0 = (F)*exp(-sumbP)+(1-F)*exp(-sumbD);
    Jf = Y0*(exp(-sumbP)-exp(-sumbD));%*F*(1-F);
    JY1 = Y0*(F)*exp(-sumbP)*-input.bvals(ll)*(bmat(1,1)*2*Y1 + 2*bmat(1,2)*Y4 + 2*bmat(1,3)*Y6);
    JY2 = Y0*(F)*exp(-sumbP)*-input.bvals(ll)*(bmat(2,2)*2*Y2 + 2*bmat(2,3)*Y5);
    JY3 = Y0*(F)*exp(-sumbP)*-input.bvals(ll)*(bmat(3,3)*2*Y3);
    JY4 = Y0*(F)*exp(-sumbP)*-input.bvals(ll)*(bmat(2,2)*2*Y4 + 2*bmat(1,2)*Y1 + 2*bmat(2,3)*Y6);
    JY5 = Y0*(F)*exp(-sumbP)*-input.bvals(ll)*(bmat(3,3)*2*Y5 + 2*bmat(2,3)*Y2);
    JY6 = Y0*(F)*exp(-sumbP)*-input.bvals(ll)*(bmat(3,3)*2*Y6 + 2*bmat(2,3)*Y4 + 2*bmat(1,3)*Y1);
    
    JZ1 = Y0*(1-F)*exp(-sumbD)*-input.bvals(ll)*(bmat(1,1)*2*Z1 + 2*bmat(1,2)*Z4 + 2*bmat(1,3)*Z6);
    JZ2 = Y0*(1-F)*exp(-sumbD)*-input.bvals(ll)*(bmat(2,2)*2*Z2 + 2*bmat(2,3)*Z5);
    JZ3 = Y0*(1-F)*exp(-sumbD)*-input.bvals(ll)*(bmat(3,3)*2*Z3);
    JZ4 = Y0*(1-F)*exp(-sumbD)*-input.bvals(ll)*(bmat(2,2)*2*Z4 + 2*bmat(1,2)*Z1 + 2*bmat(2,3)*Z6);
    JZ5 = Y0*(1-F)*exp(-sumbD)*-input.bvals(ll)*(bmat(3,3)*2*Z5 + 2*bmat(2,3)*Z2);
    JZ6 = Y0*(1-F)*exp(-sumbD)*-input.bvals(ll)*(bmat(3,3)*2*Z6 + 2*bmat(2,3)*Z4 + 2*bmat(1,3)*Z1);
    
    
    J(ll,:) = [JY0 Jf JY1 JY2 JY3 JY4 JY5 JY6 JZ1 JZ2 JZ3 JZ4 JZ5 JZ6];
    
    y(ll,1) = Y0*(F*exp(-sumbP)+(1-F)*exp(-sumbD));
    
    %fprintf(num2str(ll)) ;
    
end